Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List labels

GET/workspaces/{organizationId}/labels
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Responses
200

Labels list

labelsobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
namestringrequired
colorstring | nullrequired
createdAtstringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/labels' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "labels": [
    {
      "id": "string",
      "organizationId": "string",
      "name": "string",
      "color": "string",
      "createdAt": "string"
    }
  ]
}

Was this page helpful?